#ifndef __HEADER_MAIN_H_INCLUDED__
#define __HEADER_MAIN_H_INCLUDED__

/**
List of supported Usercodec
*/
enum
{
	VK_EMPTY = 0x00,
	VK_POWER = 0x01,
	VK_SHIFT = 0x02,
	VK_LUM_DOWN = 0x03,
	VK_LUM_UP = 0x04,
	VK_VOLUME_DOWN = 0x05,
	VK_VOLUME_UP = 0x06,
	VK_VOLUME_MUTE = 0x07,
	VK_VOLUME_BASS = 0x08,
	VK_INFO = 0x09,
// TODO Feature
	VK_DELETE = 0x0a,
// Number
	VK_NUMBERFUNCTION =  0x10, //masked bits for numbers function
	VK_1 = 0x11,
	VK_2 = 0x12,
	VK_3 = 0x13,
	VK_4 = 0x14,
	VK_5 = 0x15,
	VK_6 = 0x16,
	VK_7 = 0x17,
	VK_8 = 0x18,
	VK_9 = 0x19,
	VK_0 = 0x1a,
	VK_JUMP =  0x1b, 	
// Running
	VK_PLAYFUNCTION =  0x20, //masked bits for play function
	VK_PLAY =  0x21,
	VK_PAUSE = 0x22,
	VK_STOP =  0x23,
// Skip
	VK_SKIPFUNCTION =  0x40, //masked bits for skip function
	VK_PREV =  0x41,
	VK_NEXT =  0x42,
	VK_PREVDIR =  0x43,
	VK_NEXTDIR =  0x44,
// Seeking
	VK_SEEKFUNCTION =  0x80, //masked bits for seek function
	VK_FAST_REWIND = 0x81,
	VK_FAST_FORWARD = 0x82
};

enum _playmode { PLAY, REPEAT, RANDOM, REPEATGROUP, RANDOMGROUP /*,INTRO*/ ,LASTPLAYMODE};

// _diplaymode TODO extend ?
enum _diplayinfo { DISPLAYRUNTIME, DISPLAYENDTIME, DISPLAYMPEG , LASTDISPLAYINFO};

extern int display(const char* szFirstLine,long xPos,long xMax,int rc_max = VK_FAST_FORWARD);

/// Helpermacro count member of a stuct
#define memberof(x) (sizeof(x)/sizeof(*x))
#endif //__HEADER_MAIN_H_INCLUDED__
